%global gem_name rails_autolink

Name: rubygem-%{gem_name}
Version: 1.1.4
Release: 2%{?dist}
Summary: Automatic generation of HTML links in texts
Group: Development/Languages
License: MIT
URL: https://github.com/tenderlove/rails_autolink
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems)
Requires: rubygem(rails) > 3.1
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: rubygem(minitest)
BuildRequires: rubygem(rails) > 3.1
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
This is an extraction of the `auto_link` method from rails. The `auto_link`
method was removed from Rails in version Rails 3.1. This gem is meant to
bridge the gap for people migrating.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

# Remove extra gemspec file
rm .%{gem_instdir}/%{gem_name}.gemspec

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
  testrb -Ilib test/test_*.rb
popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/README.rdoc
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Gemfile.lock
%exclude %{gem_instdir}/Rakefile
%exclude %{gem_instdir}/test


%changelog
* Tue Nov 05 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.1.4-2
- Exclude Gemfile, Gemfile.lock, Rakefile, and test suite from the binary
  packages

* Tue Oct 08 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.1.4-1
- Initial package
